import 'dart:math';

/// This class contains functions
/// to do the encryption and decryption
/// with RSA Algorithm
class RSACripto {
  /// This function is used to encrypt plaintext
  int encrypt(int m, int e, int n) {
    return pow(m, e) % n;
  }

  /// This function is used to decrypt ciphertext
  int decrypt(int c, int d, int n) {
    return pow(c, d) % n;
  }
}
